<ng-container *transloco="let t">
  <h2
    mat-dialog-title
    class="primary-title">
    {{data.headlineText|transloco}}
  </h2>
  <form (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color">
      <mat-form-field class="review">
        <mat-label>{{data.reviewLabel|transloco}}</mat-label>
        <textarea
          matInput
          [formControl]="reviewForm"
          type="text">
        </textarea>
        <mat-error *ngIf="reviewForm.hasError('required')">
          {{data.reviewLabel|transloco}}{{'general_forms.required'|transloco}}
        </mat-error>
        <mat-error *ngIf="reviewForm.hasError('maxlength')">
          {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
        </mat-error>
      </mat-form-field>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{data.cancelButtonText|transloco}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit"
        [disabled]="reviewForm.invalid">
        {{data.confirmButtonText|transloco}}
      </button>
    </div>
  </form>
</ng-container>
